<?php
/**
 * Copyright © Lyra Network.
 * This file is part of OSB plugin for Magento. See COPYING.md for license details.
 *
 * @author    Lyra Network (https://www.lyra.com/)
 * @copyright Lyra Network
 * @license   https://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 */

class Lyranetwork_Osb_Model_Source_Standard_CardInfoModes
{
    public function toOptionArray()
    {
        $options =  array();

        foreach (Mage::helper('osb')->getConfigArray('card_info_modes') as $code => $name) {
            if (($code == 4) && ! Lyranetwork_Osb_Helper_Data::$pluginFeatures['embedded']) {
                // Payment with embedded fields option using REST API not available for all.
                continue;
            }

            $options[] = array(
                'value' => $code,
                'label' => Mage::helper('osb')->__($name)
            );
        }

        return $options;
    }
}
